diff --git a/CMakeLists.txt b/CMakeLists.txt
index 86d28ab..8f7678f 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -128,7 +128,7 @@ include_directories(${CMAKE_CURRENT_BINARY_DIR}/include)
 
 configure_file(
   "${PROJECT_SOURCE_DIR}/gitsha.cpp.in"
-  "${PROJECT_SOURCE_DIR}/src/gitsha.cpp")
+  "${PROJECT_BINARY_DIR}/src/gitsha.cpp")
 
 add_subdirectory(src)
 add_subdirectory(apps)
diff --git a/apps/CMakeLists.txt b/apps/CMakeLists.txt
index 3ce66d7..3477e59 100644
--- a/apps/CMakeLists.txt
+++ b/apps/CMakeLists.txt
@@ -17,6 +17,9 @@ endif()
 if(CURSE)
     add_executable(${CURSE} curse.cpp lasfile.hpp las.hpp las.cpp OGR.hpp OGR.cpp mmaplib.hpp pdal_util_export.hpp ProgramArgs.hpp Utils.cpp Utils.hpp )
     target_link_libraries(${CURSE} ${HEXER_LIB_NAME} ${HEXERBOOST_LIB_NAME})
+    if(NOT WIN32)
+        target_link_libraries(${CURSE} ${CMAKE_DL_LIBS})
+    endif()
 endif()
 
 install(TARGETS ${HEXER_UTILITIES}
diff --git a/include/hexer/Utils.hpp b/include/hexer/Utils.hpp
index 8c26fd3..fd7ed30 100644
--- a/include/hexer/Utils.hpp
+++ b/include/hexer/Utils.hpp
@@ -15,6 +15,9 @@
 
 #pragma once
 
+#include <cmath>
+#include <limits>
+
 namespace hexer
 {
 
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index a98e5f9..8a5b8ed 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -21,7 +21,7 @@ set(HEXER_CPP
     Path.cpp
     Processor.cpp
     Segment.cpp
-    gitsha.cpp
+    "${PROJECT_BINARY_DIR}/src/gitsha.cpp"
 )
 
 set(HEXER_SOURCES
diff --git a/src/gitsha.cpp b/src/gitsha.cpp
deleted file mode 100644
index 86e644c..0000000
--- a/src/gitsha.cpp
+++ /dev/null
@@ -1,3 +0,0 @@
-#include <hexer/gitsha.h>
-#define GIT_SHA1 "b580f07d41a660a35e38d99936547e646d25740b"
-const char g_GIT_SHA1[] = GIT_SHA1;
